Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datasource
Class JRResultSet

    java.lang.Object
      jet.datasource.JRResultSet

All Implemented Interfaces:
  java.sql.ResultSet, java.sql.Wrapper

    public abstract class JRResultSet

extends java.lang.Object
implements java.sql.ResultSet

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Constructor Summary
`JRResultSet()` Constructs an uninitialized JRResultSet.

Method Summary
`boolean` | `absolute(int row)` JDBC 2.0
`void` | `afterLast()` JDBC 2.0
`void` | `beforeFirst()` JDBC 2.0
`void` | `cancelRowUpdates()` JDBC 2.0 The cancelRowUpdates() method may be called after calling an updateXXX() method(s) and before calling updateRow() to rollback the updates made to a row.
`void` | `clearWarnings()` Clears all the SQLWarnings after the calling getWarnings returns null.
`abstract void` | `close()` Closes the JResultSet and releases the resources.
`void` | `deleteRow()` JDBC 2.0 Deletes the current row from the result set and the underlying database.
`int` | `findColumn(java.lang.String columnName)` Maps a name of a column to a column index.
`boolean` | `first()` JDBC 2.0
`java.sql.Array` | `getArray(int i)` JDBC 2.0 Gets an array column.
`java.sql.Array` | `getArray(java.lang.String colName)` JDBC 2.0 Gets an array column.
`java.io.InputStream` | `getAsciiStream(int columnIndex)` Gets the value of a column in the current row as a stream of ASCII characters, and then this column value can be read in chunks from the this stream.
`java.io.InputStream` | `getAsciiStream(java.lang.String columnName)` Gets the value of a column in the current row as a stream of ASCII characters and then the value of the column can be read in chunks from this stream.
`java.math.BigDecimal` | `getBigDecimal(int columnIndex)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.
`abstract java.math.BigDecimal` | `getBigDecimal(int columnIndex, int scale)` Gets the value of a column in the current row as a java.lang.BigDecimal object.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName, int scale)` Gets the value of a column in the current row as a java.lang.BigDecimal object.
`abstract java.io.InputStream` | `getBinaryStream(int columnIndex)` Gets the value of a column in the current row as a stream of uninterpreted bytes, then this column value can be read in chunks from the this stream.
`java.io.InputStream` | `getBinaryStream(java.lang.String columnName)` Gets the value of a column in the current row as a stream of uninterpreted bytes and then the value of the column can be read in chunks from this stream.
`java.sql.Blob` | `getBlob(int i)` JDBC 2.0 Gets a BLOB column.
`java.sql.Blob` | `getBlob(java.lang.String colName)` JDBC 2.0 Gets a BLOB column.
`abstract boolean` | `getBoolean(int columnIndex)` Gets the value of a column in the current row as a Java boolean.
`boolean` | `getBoolean(java.lang.String columnName)` Gets the value of a column in the current row as a Java boolean.
`abstract byte` | `getByte(int columnIndex)` Gets the value of a column in the current row as a Java byte.
`byte` | `getByte(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte.
`byte[]` | `getBytes(int columnIndex)` Gets the value of a column in the current row as a Java byte array.
`byte[]` | `getBytes(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte array.
`java.io.Reader` | `getCharacterStream(int columnIndex)` JDBC 2.0
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)` JDBC 2.0
`java.sql.Clob` | `getClob(int i)` JDBC 2.0 Gets a CLOB column.
`java.sql.Clob` | `getClob(java.lang.String colName)` JDBC 2.0 Gets a CLOB column.
`int` | `getConcurrency()` JDBC 2.0 Returns the concurrency of this result set.
`java.lang.String` | `getCursorName()` Gets the name of the SQL cursor used by current ResultSet.
`abstract java.sql.Date` | `getDate(int columnIndex)` Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(int columnIndex, java.util.Calendar cal)` JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String columnName)` Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String col, java.util.Calendar c)`
`abstract double` | `getDouble(int columnIndex)` Gets the value of a column in the current row as a Java double.
`double` | `getDouble(java.lang.String columnName)` Gets the value of a column in the current row as a Java double.
`int` | `getFetchDirection()` JDBC 2.0 Returns the fetched direction for this result set.
`int` | `getFetchSize()` JDBC 2.0 Returns the fetched size for this result set.
`abstract float` | `getFloat(int columnIndex)` Gets the value of a column in the current row as a Java float.
`float` | `getFloat(java.lang.String columnName)` Gets the value of a column in the current row as a Java float.
`abstract int` | `getInt(int columnIndex)` Gets the value of a column in the current row as a Java int.
`int` | `getInt(java.lang.String columnName)` Gets the value of a column in the current row as a Java int.
`abstract long` | `getLong(int columnIndex)` Gets the value of a column in the current row as a Java long
`long` | `getLong(java.lang.String columnName)` Gets the value of a column in the current row as a Java long.
`java.sql.ResultSetMetaData` | `getMetaData()` Gets the number, types and properties of ResultSet's columns.
`java.lang.Object` | `getObject(int columnIndex)` Gets the value of a column in the current row as a Java object.
`java.lang.Object` | `getObject(int i, java.util.Map map)` JDBC 2.0 Returns the value of column @i as a Java object.
`java.lang.Object` | `getObject(java.lang.String columnName)` Gets the value of a column in the current row as a Java object.
`java.lang.Object` | `getObject(java.lang.String colName, java.util.Map map)` JDBC 2.0 Returns the value of column @i as a Java object.
`java.sql.Ref` | `getRef(int i)` JDBC 2.0 Gets a REF(<structured-type>) column.
`java.sql.Ref` | `getRef(java.lang.String colName)` JDBC 2.0 Gets a REF(<structured-type>) column.
`int` | `getRow()` JDBC 2.0
`abstract short` | `getShort(int columnIndex)` Gets the value of a column in the current row as a Java short.
`short` | `getShort(java.lang.String columnName)` Gets the value of a column in the current row as a Java Short.
`java.sql.Statement` | `getStatement()` JDBC 2.0 Returns the Statement that produces the ResultSet.
`abstract java.lang.String` | `getString(int columnIndex)` Gets the value of a column in the current row as a Java String.
`java.lang.String` | `getString(java.lang.String columnName)` Gets the value of a column in the current row as a Java String.
`abstract java.sql.Time` | `getTime(int columnIndex)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` | `getTime(int col, java.util.Calendar c)`
`java.sql.Time` | `getTime(java.lang.String columnName)` Gets the value of a column in the current row as a java.aql.Time object.
`java.sql.Time` | `getTime(java.lang.String col, java.util.Calendar c)`
`abstract java.sql.Timestamp` | `getTimestamp(int columnIndex)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(int col, java.util.Calendar c)`
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String col, java.util.Calendar c)`
`int` | `getType()` JDBC 2.0 Returns the type of this result set.
`java.io.InputStream` | `getUnicodeStream(int columnIndex)` Gets the value of a column in the current row as a stream of Unicode characters, and then this column value can be read in chunks from the this stream.
`java.io.InputStream` | `getUnicodeStream(java.lang.String columnName)` Gets the value of a column in the current row as a stream of Unicode characters and then the value of the column can be read in chunks from this stream.
`java.net.URL` | `getURL(int columnIndex)`
`java.net.URL` | `getURL(java.lang.String columnName)`
`java.sql.SQLWarning` | `getWarnings()` Gets the first SQLWarnings of the ResultSet warning chain.
`abstract void` | `initialize(jet.datasource.JRColDesc[] colDescs, java.lang.String[] args)` Initializes this JRResultSet.
`void` | `insertRow()` JDBC 2.0 Inserts the contents of the inserted row into the result set and the database, which must be on the inserted row when this method is called.
`boolean` | `isAfterLast()` JDBC 2.0
`boolean` | `isBeforeFirst()` JDBC 2.0
`boolean` | `isFirst()` JDBC 2.0
`boolean` | `isLast()` JDBC 2.0
`boolean` | `last()` JDBC 2.0
`void` | `moveToCurrentRow()` JDBC 2.0 Moves the cursor to the remembered cursor position, which is usually the current row.
`void` | `moveToInsertRow()` JDBC 2.0 Moves to the inserted row.
`abstract boolean` | `next()` Fetches a new row of data and returns true if it is OK.
`boolean` | `previous()` JDBC 2.0
`void` | `refreshRow()` JDBC 2.0 Refreshes the value of the current row with its current value in the database.
`boolean` | `relative(int rows)` JDBC 2.0
`boolean` | `rowDeleted()` JDBC 2.0 Determines if this row has been deleted.
`boolean` | `rowInserted()` JDBC 2.0 Determines if the current row has been inserted.
`boolean` | `rowUpdated()` JDBC 2.0 Determines if the current row has been updated.
`void` | `setFetchDirection(int direction)` JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed.
`void` | `setFetchSize(int rows)` JDBC 2.0 Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set.
`void` | `updateArray(int columnIndex, java.sql.Array x)`
`void` | `updateArray(java.lang.String columnName, java.sql.Array x)`
`void` | `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with an ascii stream value.
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with an ascii stream value.
`void` | `updateBigDecimal(int columnIndex, java.math.BigDecimal x)` JDBC 2.0 Updates a column with a BigDecimal value.
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)` JDBC 2.0 Updates a column with a BigDecimal value.
`void` | `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with a binary stream value.
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)` JDBC 2.0 Updates a column with a binary stream value.
`void` | `updateBlob(int columnIndex, java.sql.Blob x)`
`void` | `updateBlob(java.lang.String columnName, java.sql.Blob x)`
`void` | `updateBoolean(int columnIndex, boolean x)` JDBC 2.0 Updates a column with a boolean value.
`void` | `updateBoolean(java.lang.String columnName, boolean x)` JDBC 2.0 Updates a column with a boolean value.
`void` | `updateByte(int columnIndex, byte x)` JDBC 2.0 Updates a column with a byte value.
`void` | `updateByte(java.lang.String columnName, byte x)` JDBC 2.0 Updates a column with a byte value.
`void` | `updateBytes(int columnIndex, byte[] x)` JDBC 2.0 Updates a column with a byte array value.
`void` | `updateBytes(java.lang.String columnName, byte[] x)` JDBC 2.0 Updates a column with a byte array value.
`void` | `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` JDBC 2.0 Updates a column with a character stream value.
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)` JDBC 2.0 Updates a column with a character stream value.
`void` | `updateClob(int columnIndex, java.sql.Clob x)`
`void` | `updateClob(java.lang.String columnName, java.sql.Clob x)`
`void` | `updateDate(int columnIndex, java.sql.Date x)` JDBC 2.0 Updates a column with a Date value.
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)` JDBC 2.0 Updates a column with a Date value.
`void` | `updateDouble(int columnIndex, double x)` JDBC 2.0 Updates a column with a Double value.
`void` | `updateDouble(java.lang.String columnName, double x)` JDBC 2.0 Updates a column with a double value.
`void` | `updateFloat(int columnIndex, float x)` JDBC 2.0 Updates a column with a float value.
`void` | `updateFloat(java.lang.String columnName, float x)` JDBC 2.0 Updates a column with a float value.
`void` | `updateInt(int columnIndex, int x)` JDBC 2.0 Updates a column with an integer value.
`void` | `updateInt(java.lang.String columnName, int x)` JDBC 2.0 Updates a column with an integer value.
`void` | `updateLong(int columnIndex, long x)` JDBC 2.0 Updates a column with a long value.
`void` | `updateLong(java.lang.String columnName, long x)` JDBC 2.0 Updates a column with a long value.
`void` | `updateNull(int columnIndex)` JDBC 2.0 Gives a nullable column a null value.
`void` | `updateNull(java.lang.String columnName)` JDBC 2.0 Updates a column with a null value.
`void` | `updateObject(int columnIndex, java.lang.Object x)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(int columnIndex, java.lang.Object x, int scale)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)` JDBC 2.0 Updates a column with an Object value.
`void` | `updateRef(int columnIndex, java.sql.Ref x)`
`void` | `updateRef(java.lang.String columnName, java.sql.Ref x)`
`void` | `updateRow()` JDBC 2.0 Updates the underlying database with the new contents of the current row.
`void` | `updateShort(int columnIndex, short x)` JDBC 2.0 Updates a column with a short value.
`void` | `updateShort(java.lang.String columnName, short x)` JDBC 2.0 Updates a column with a short value.
`void` | `updateString(int columnIndex, java.lang.String x)` JDBC 2.0 Updates a column with a String value.
`void` | `updateString(java.lang.String columnName, java.lang.String x)` JDBC 2.0 Updates a column with a String value.
`void` | `updateTime(int columnIndex, java.sql.Time x)` JDBC 2.0 Updates a column with a Time value.
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)` JDBC 2.0 Updates a column with a Time value.
`void` | `updateTimestamp(int columnIndex, java.sql.Timestamp x)` JDBC 2.0 Updates a column with a Timestamp value.
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)` JDBC 2.0 Updates a column with a Timestamp value.
`abstract boolean` | `wasNull()` To judge whether the last column read has a NULL value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.ResultSet
`getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getRowId, getRowId, getSQLXML, getSQLXML, isClosed, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Constructor Detail

### JRResultSet

    public JRResultSet()

  Constructs an uninitialized JRResultSet.

Method Detail

### initialize

    public abstract void initialize(jet.datasource.JRColDesc[] colDescs,
                                    java.lang.String[] args)
                             throws jet.datasource.JRResultSetException

  Initializes this JRResultSet. The initializing method is called after the class is constructed.

  Parameters:
    `colDescs` - the descriptions of columns in the result set.
    `args` - the arguments of this class.
  Throws:
    `JRResultSetException` - when a data source error occurs.

### next

    public abstract boolean next()
                          throws jet.datasource.JRResultSetException

  Fetches a new row of data and returns true if it is OK.

  Specified by:
    `next` in interface `java.sql.ResultSet`
  Returns:
    false if no more data.
  Throws:
    `JRResultSetException` - when a data source error occurs.

### close

    public abstract void close()
                        throws jet.datasource.JRResultSetException

  Closes the JResultSet and releases the resources. It is the last call in the data source API when the JReport system finishes the generating of the report.

  Specified by:
    `close` in interface `java.sql.ResultSet`
  Throws:
    `JRResultSetException` - when a data source error occurs.

### wasNull

    public abstract boolean wasNull()
                             throws jet.datasource.JRResultSetException

  To judge whether the last column read has a NULL value.

  Specified by:
    `wasNull` in interface `java.sql.ResultSet`
  Returns:
    true if last column read is SQL NULL.
  Throws:
    `JRResultSetException` - when a data source error occurs.

### getString

    public abstract java.lang.String getString(int columnIndex)
                                        throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value as a Java String.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBoolean

    public abstract boolean getBoolean(int columnIndex)
                                throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns false.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getByte

    public abstract byte getByte(int columnIndex)
                          throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getShort

    public abstract short getShort(int columnIndex)
                            throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getInt

    public abstract int getInt(int columnIndex)
                        throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getLong

    public abstract long getLong(int columnIndex)
                          throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java long

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getFloat

    public abstract float getFloat(int columnIndex)
                            throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getDouble

    public abstract double getDouble(int columnIndex)
                              throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBigDecimal

    public abstract java.math.BigDecimal getBigDecimal(int columnIndex,
                                                       int scale)
                                                throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.lang.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
    `scale` - the number of digits to the right of the decimal.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getDate

    public abstract java.sql.Date getDate(int columnIndex)
                                   throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.sql.Date object.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getTime

    public abstract java.sql.Time getTime(int columnIndex)
                                   throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.sql.Time object.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getTimestamp

    public abstract java.sql.Timestamp getTimestamp(int columnIndex)
                                             throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.sql.Timestamp object.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBinaryStream

    public abstract java.io.InputStream getBinaryStream(int columnIndex)
                                                 throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of uninterpreted bytes, then this column value can be read in chunks from the this stream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBytes

    public byte[] getBytes(int columnIndex)
                    throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of ASCII characters, and then this column value can be read in chunks from the this stream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of Unicode characters, and then this column value can be read in chunks from the this stream.

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The index number of the column. The first column is 1, the second is 2,...
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java String.

  Specified by:
    `getString` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - is the SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java boolean.

  Specified by:
    `getBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns false.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getByte

    public byte getByte(java.lang.String columnName)
                 throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java byte.

  Specified by:
    `getByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getShort

    public short getShort(java.lang.String columnName)
                   throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java Short.

  Specified by:
    `getShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getInt

    public int getInt(java.lang.String columnName)
               throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java int.

  Specified by:
    `getInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getLong

    public long getLong(java.lang.String columnName)
                 throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java long.

  Specified by:
    `getLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getFloat

    public float getFloat(java.lang.String columnName)
                   throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java float.

  Specified by:
    `getFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java double.

  Specified by:
    `getDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns 0.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                              int scale)
                                       throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.lang.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
    `scale` - The number of digits to the right of the decimal.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java byte array.

  Specified by:
    `getBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.sql.Date object.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.aql.Time object.

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a java.sql.Timestamp object.

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of ASCII characters and then the value of the column can be read in chunks from this stream.

  Specified by:
    `getAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of Unicode characters and then the value of the column can be read in chunks from this stream.

  Specified by:
    `getUnicodeStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a stream of uninterpreted bytes and then the value of the column can be read in chunks from this stream.

  Specified by:
    `getBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The SQL name of the column.
  Returns:
    the column value; if the value is NULL, returns null.
  Throws:
    `JRResultSetException` - if a data source error occurs.

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws jet.datasource.JRResultSetException

  Gets the first SQLWarnings of the ResultSet warning chain.

  This warning chain only covers warnings caused by ResultSet methods.

  Specified by:
    `getWarnings` in interface `java.sql.ResultSet`
  Returns:
    the first SQLWarning or null.
  Throws:
    `JRResultSetException` - when a data source error occurs.

### clearWarnings

    public void clearWarnings()
                       throws jet.datasource.JRResultSetException

  Clears all the SQLWarnings after the calling getWarnings returns null.

  Specified by:
    `clearWarnings` in interface `java.sql.ResultSet`
  Throws:
    `JRResultSetException` - when a data source error occurs.

### getCursorName

    public java.lang.String getCursorName()
                                   throws jet.datasource.JRResultSetException

  Gets the name of the SQL cursor used by current ResultSet.

  Specified by:
    `getCursorName` in interface `java.sql.ResultSet`
  Returns:
    the SQL cursor name of the ResultSet. exception JRResultSetException when a data source error occurs.
  Throws:
    `jet.datasource.JRResultSetException`

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws jet.datasource.JRResultSetException

  Gets the number, types and properties of ResultSet's columns.

  Specified by:
    `getMetaData` in interface `java.sql.ResultSet`
  Returns:
    the description of the ResultSet columns. exception JRResultSetException when a data source error occurs.
  Throws:
    `jet.datasource.JRResultSetException`

### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java object.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The Index number of the current column. The first column is 1, the second is 2,...
  Returns:
    A java.lang.Object which holds the column value. exception JRResultSetException when a data source error occurs.
  Throws:
    `jet.datasource.JRResultSetException`

### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws jet.datasource.JRResultSetException

  Gets the value of a column in the current row as a Java object.

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the current column.
  Returns:
    A java.lang.Object which holds the column value. exception JRResultSetException when a data source error occurs.
  Throws:
    `jet.datasource.JRResultSetException`

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws jet.datasource.JRResultSetException

  Maps a name of a column to a column index.

  Specified by:
    `findColumn` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Returns:
    the column index number. exception JRResultSetException when a data source error occurs.
  Throws:
    `jet.datasource.JRResultSetException`

### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

  JDBC 2.0

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - the Index number of the current column. The first column is 1, the second is 2,...

    Gets the value of a column in the current row as a java.io.Reader.

  Throws:
    `java.sql.SQLException`

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  JDBC 2.0

  Gets the value of a column in the current row as a java.io.Reader.

  Specified by:
    `getCharacterStream` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
  Returns:
    the column value (full precision); if the value is SQL NULL, the result is null
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object.

  Specified by:
    `getBigDecimal` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is before the first row in the result set.

  Specified by:
    `isBeforeFirst` in interface `java.sql.ResultSet`
  Returns:
    true if before the first row, false otherwise. Returns false when the result set contains no rows.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is after the last row in the result set.

  Specified by:
    `isAfterLast` in interface `java.sql.ResultSet`
  Returns:
    true if after the last row, false otherwise. Returns false when the result set contains no rows.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is on the first row of the result set.

  Specified by:
    `isFirst` in interface `java.sql.ResultSet`
  Returns:
    true if on the first row, false otherwise.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Determines if the cursor is on the last row of the result set. Note: Calling isLast() may be expensive since the JDBC driver might need to fetch ahead one row in order to determine whether the current row is the last row in the result set.

  Specified by:
    `isLast` in interface `java.sql.ResultSet`
  Returns:
    true if on the last row, false otherwise.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to the front of the result set, which is just before the first row. It has no effect if the result set contains no rows.

  Specified by:
    `beforeFirst` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Moves to the end of the result set, which is just after the last row. It has no effect if the result set contains no rows.

  Specified by:
    `afterLast` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or result set type is TYPE_FORWARD_ONLY.

### first

    public boolean first()
                  throws java.sql.SQLException

  JDBC 2.0

  Moves to the first row in the result set.

  Specified by:
    `first` in interface `java.sql.ResultSet`
  Returns:
    true if on a valid row; false if no rows in the result set.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set type is TYPE_FORWARD_ONLY.

### last

    public boolean last()
                 throws java.sql.SQLException

  JDBC 2.0

  Moves to the last row in the result set.

  Specified by:
    `last` in interface `java.sql.ResultSet`
  Returns:
    true if on a valid row; false if no rows in the result set.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set type is TYPE_FORWARD_ONLY.

### getRow

    public int getRow()
               throws java.sql.SQLException

  JDBC 2.0

  Determines the current row number. The first row is number 1, the second number 2, etc.

  Specified by:
    `getRow` in interface `java.sql.ResultSet`
  Returns:
    the current row number, else returns 0 if there is no current row.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to an absolute row number in the result set.

  If the row is positive, moves to an absolute row with respect to the beginning of the result set. The first row is row 1, the second is row 2, etc.

  If the row is negative, moves to an absolute row position with respect to the end of result set. For example, calling absolute(-1) positions the cursor on the last row, absolute(-2) indicates the next-to-last row, etc.

  Two attempts to position the cursor beyond the first/last row in the result set, and leaves the cursor before/after the first/last row, respectively.

  Note: calling absolute(1) is the same as calling first(). Calling absolute(-1) is the same as calling last().

  Specified by:
    `absolute` in interface `java.sql.ResultSet`
  Returns:
    true if on the result set; false if off.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the row is 0, or the result set type is TYPE_FORWARD_ONLY.

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the the result set positions the cursor before/after the the first/last row. Calling relative(0) is valid, but does not change the cursor position.

  Note: Calling relative(1) is different than calling next() since it makes sense to call next() when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

  Specified by:
    `relative` in interface `java.sql.ResultSet`
  Returns:
    true if on a row; false otherwise.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or there is no current row, or the result set type is TYPE_FORWARD_ONLY.

### previous

    public boolean previous()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves to the previous row in the result set.

  Note: previous() is not the same as relative(-1) since it makes sense to call previous() when there is no current row.

  Specified by:
    `previous` in interface `java.sql.ResultSet`
  Returns:
    true if on a valid row; false if off the result set.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set type is TYPE_FORWAR_DONLY.

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed. The initial value is determined by the statement that produces the result set. The fetch direction may be changed at any time.

  Specified by:
    `setFetchDirection` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set type is TYPE_FORWARD_ONLY and the direction is not FETCH_FORWARD.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  JDBC 2.0 Returns the fetched direction for this result set.

  Specified by:
    `getFetchDirection` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  JDBC 2.0 Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set. If the fetched size specified is zero, then the JDBC driver ignores the value, and is free to make its own best guess as to what the fetch size should be. The default value is set by the statement that creates the result set. The fetched size may be changed at any time.

  Specified by:
    `setFetchSize` in interface `java.sql.ResultSet`
  Parameters:
    `rows` - the number of rows to fetch.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the condition 0 <= rows <= this.getMaxRows() is not satisfied.

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  JDBC 2.0 Returns the fetched size for this result set.

  Specified by:
    `getFetchSize` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getType

    public int getType()
                throws java.sql.SQLException

  JDBC 2.0 Returns the type of this result set. The type is determined based on the statement that creates the result set.

  Specified by:
    `getType` in interface `java.sql.ResultSet`
  Returns:
    TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, or TYPE_SCROLL_SENSITIVE.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  JDBC 2.0 Returns the concurrency of this result set. The concurrency used is determined by the statement that creates the result set.

  Specified by:
    `getConcurrency` in interface `java.sql.ResultSet`
  Returns:
    the concurrency type, CONCUR_READ_ONLY, etc.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  JDBC 2.0 Determines if the current row has been updated. The value returned depends on whether or not the result set can detect updates.

  Specified by:
    `rowUpdated` in interface `java.sql.ResultSet`
  Returns:
    true if the row has been visibly updated by the owner or another, and the updates are detected.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  See Also:
    `DatabaseMetaData#updatesAreDetected.`

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  JDBC 2.0 Determines if the current row has been inserted. The value returned depends on whether or not the result set can detect visible inserts.

  Specified by:
    `rowInserted` in interface `java.sql.ResultSet`
  Returns:
    true if inserted and the inserts are detected.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  See Also:
    `DatabaseMetaData#insertsAreDetected.`

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  JDBC 2.0 Determines if this row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not the result set can detect deletions.

  Specified by:
    `rowDeleted` in interface `java.sql.ResultSet`
  Returns:
    true if deleted and the deletions are detected.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.
  See Also:
    `DatabaseMetaData#deletesAreDetected.`

### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

  JDBC 2.0 Gives a nullable column a null value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

  JDBC 2.0 Updates a column with a boolean value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a short value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

  JDBC 2.0 Updates a column with an integer value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a long value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a float value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Double value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  JDBC 2.0 Updates a column with a BigDecimal value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a String value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte array value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Date value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Time value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Timestamp value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  JDBC 2.0 Updates a column with an ascii stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  JDBC 2.0 Updates a column with a binary stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  JDBC 2.0 Updates a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
    `length` - The length of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
    `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types, this is the number of digits after the decimal. For all other types, this value will be ignored.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a null value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateNull` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  JDBC 2.0 Updates a column with a boolean value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBoolean` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateByte` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a short value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateShort` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  JDBC 2.0 Updates a column with an integer value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateInt` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a long value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateLong` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a float value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateFloat` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a double value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDouble` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  JDBC 2.0 Updates a column with a BigDecimal value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBigDecimal` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with a String value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateString` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  JDBC 2.0 Updates a column with a byte array value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBytes` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Date value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Time value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTime` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  JDBC 2.0 Updates a column with a Timestamp value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateTimestamp` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  JDBC 2.0 Updates a column with an ascii stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateAsciiStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  JDBC 2.0 Updates a column with a binary stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateBinaryStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader reader,
                                      int length)
                               throws java.sql.SQLException

  JDBC 2.0 Updates a column with a character stream value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateCharacterStream` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `length` - of the stream.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
    `scale` - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types, this is the number of digits after the decimal. For all other types, this value will be ignored.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  JDBC 2.0 Updates a column with an Object value. The updateXXX() methods are used to update column values in the current row, or the inserted row. The updateXXX() methods do not update the underlying database, instead, the updateRow() or insertRow() methods are called to update the database.

  Specified by:
    `updateObject` in interface `java.sql.ResultSet`
  Parameters:
    `columnName` - The name of the column.
    `x` - The new column value.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  JDBC 2.0 Inserts the contents of the inserted row into the result set and the database, which must be on the inserted row when this method is called.

  Specified by:
    `insertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, if called when not on the inserted row, or if all non-nullable columns in the inserted row have not been given a value.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  JDBC 2.0 Updates the underlying database with the new contents of the current row. Cannot be called when on the inserted row.

  Specified by:
    `updateRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or if called when on the inserted row.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  JDBC 2.0 Deletes the current row from the result set and the underlying database. Cannot be called when on the inserted row.

  Specified by:
    `deleteRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or if called when on the inserted row.

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  JDBC 2.0 Refreshes the value of the current row with its current value in the database. Cannot be called when on the inserted row. The refreshRow() method provides a way for an application to explicitly tell the JDBC driver to refetch a row(s) from the database. An application may want to call refreshRow() when caching or prefetching is being done by the JDBC driver to fetch the latest value of a row from the database. The JDBC driver may actually refresh multiple rows at once if the fetch size is greater than one. All values are refetched subject to the transaction isolation level and cursor sensitivity. If refreshRow() is called after calling updateXXX(), but before calling updateRow(), then the updates made to the row are lost. Calling refreshRow() frequently will likely slow performance.

  Specified by:
    `refreshRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or if called when on the inserted row.

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  JDBC 2.0 The cancelRowUpdates() method may be called after calling an updateXXX() method(s) and before calling updateRow() to rollback the updates made to a row. If no updates have been made or updateRow() has already been called, then this method has no effect.

  Specified by:
    `cancelRowUpdates` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or if called when on the inserted row.

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  JDBC 2.0 Moves to the inserted row. The current cursor position is remembered while the cursor is positioned on the inserted row. The inserted row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the updateXXX() methods prior to inserting the row into the result set. Only the updateXXX(), getXXX(), and insertRow() methods may be called when the cursor is on the inserted row. All of the columns in a result set must be given a value each time this method is called before calling insertRow(). UpdateXXX()must be called before getXXX() on a column.

  Specified by:
    `moveToInsertRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set is not updatable.

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  JDBC 2.0 Moves the cursor to the remembered cursor position, which is usually the current row. It has no effect unless the cursor is on the insert row.

  Specified by:
    `moveToCurrentRow` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException` - if a database-access error occurs, or the result set is not updatable.

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  JDBC 2.0 Returns the Statement that produces the ResultSet.

  Specified by:
    `getStatement` in interface `java.sql.ResultSet`
  Returns:
    the Statment that produced the result set, or null if the result is produced some other ways.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getObject

    public java.lang.Object getObject(int i,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Returns the value of column @i as a Java object. Uses the

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The first column is 1, the second is 2, ...
    `map` - The mapping from SQL type names to Java classes.
  Returns:
    an object representing the SQL value.
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

  JDBC 2.0 Gets a REF(<structured-type>) column.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The first column is 1, the second is 2, ...
  Returns:
    an object representing data of an SQL REF type.
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a BLOB column.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The first column is 1, the second is 2, ...
  Returns:
    an object representing a BLOB.
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a CLOB column.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The first column is 1, the second is 2, ...
  Returns:
    an object representing a CLOB.
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

  JDBC 2.0 Gets an array column.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `i` - The first column is 1, the second is 2, ...
  Returns:
    an object representing an SQL array.
  Throws:
    `java.sql.SQLException`

### getObject

    public java.lang.Object getObject(java.lang.String colName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Returns the value of column @i as a Java object. Uses the

  Specified by:
    `getObject` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
    `map` - The mapping from SQL type names to Java classes.
  Returns:
    an object representing the SQL value.
  Throws:
    `java.sql.SQLException`

### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

  JDBC 2.0 Gets a REF(<structured-type>) column.

  Specified by:
    `getRef` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    an object representing data of an SQL REF type.
  Throws:
    `java.sql.SQLException`

### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a BLOB column.

  Specified by:
    `getBlob` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    an object representing a BLOB.
  Throws:
    `java.sql.SQLException`

### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a CLOB column.

  Specified by:
    `getClob` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    an object representing a CLOB.
  Throws:
    `java.sql.SQLException`

### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

  JDBC 2.0 Gets an array column.

  Specified by:
    `getArray` in interface `java.sql.ResultSet`
  Parameters:
    `colName` - The column name.
  Returns:
    an object representing an SQL array.
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(int columnIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object. Uses the calendar to construct an appropriate millisecond value for the Date, if the underlying database doesn't store timezone information.

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Parameters:
    `columnIndex` - The first column is 1, the second is 2, ...
    `cal` - The calendar to use when the date is constructed.
  Returns:
    the column value; if the value is SQL NULL, the result is null.
  Throws:
    `java.sql.SQLException` - if a database-access error occurs.

### getTime

    public java.sql.Time getTime(int col,
                                 java.util.Calendar c)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTime

    public java.sql.Time getTime(java.lang.String col,
                                 java.util.Calendar c)
                          throws java.sql.SQLException

  Specified by:
    `getTime` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getDate

    public java.sql.Date getDate(java.lang.String col,
                                 java.util.Calendar c)
                          throws java.sql.SQLException

  Specified by:
    `getDate` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(int col,
                                           java.util.Calendar c)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String col,
                                           java.util.Calendar c)
                                    throws java.sql.SQLException

  Specified by:
    `getTimestamp` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateBlob

    public void updateBlob(java.lang.String columnName,
                           java.sql.Blob x)
                    throws java.sql.SQLException

  Specified by:
    `updateBlob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateClob

    public void updateClob(java.lang.String columnName,
                           java.sql.Clob x)
                    throws java.sql.SQLException

  Specified by:
    `updateClob` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(int columnIndex,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateArray

    public void updateArray(java.lang.String columnName,
                            java.sql.Array x)
                     throws java.sql.SQLException

  Specified by:
    `updateArray` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(java.lang.String columnName,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### updateRef

    public void updateRef(int columnIndex,
                          java.sql.Ref x)
                   throws java.sql.SQLException

  Specified by:
    `updateRef` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(java.lang.String columnName)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

### getURL

    public java.net.URL getURL(int columnIndex)
                        throws java.sql.SQLException

  Specified by:
    `getURL` in interface `java.sql.ResultSet`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD